#
# spec file for package yast2-lib-printer (Version 2.4.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libycp-devel libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc

Name:         yast2-lib-printer
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Requires:	yast2 netcat yast2-trans-libprinter
BuildArchitectures:	noarch
Summary:      YaST2 - Printer routines library
Version:      2.4.12
Release:      28
Source0:	yast2-lib-printer-2.4.12.tar.bz2

%description
The YaST2 library with common routines for manipulating
printing services.

SuSE series: yast

%prep
%setup -n yast2-lib-printer-2.4.12

%build
./configure
make

%install
make install
make check

%files
%dir /usr/lib/YaST2/clients
%dir /usr/lib/YaST2/menuentries
%dir /usr/lib/YaST2/include
%dir /usr/lib/YaST2/include/printer
%dir /usr/share/doc/packages/yast2-lib-printer
/usr/lib/YaST2/include/printer/*
/usr/lib/YaST2/bin/test_device
/usr/lib/YaST2/bin/test_remote_lpd
/usr/lib/YaST2/suse_testpg.*
/usr/lib/YaST2/menuentries/menuentry_printer.ycp
/usr/lib/YaST2/menuentries/menuentry_printer_nodet.ycp
/usr/lib/YaST2/clients/printer.ycp
/usr/lib/YaST2/clients/printer_summary.ycp
/usr/lib/YaST2/clients_non_y2/printer_parport_bases
/usr/lib/YaST2/clients_non_y2/printer_smb_queues
/usr/lib/YaST2/clients_non_y2/printer_get_smb
/usr/share/doc/packages/yast2-lib-printer/*

%changelog -n yast2-lib-printer
* Fri Sep 14 2001 - pblahos@suse.cz
- Newlines in custom texts on ascii pages are translated to spaces.
  Now really fixed. (Bug 10266)
* Mon Sep 10 2001 - pblahos@suse.cz
- installs cups-client too when switching to cups
* Fri Sep 07 2001 - pblahos@suse.cz
- newlines in custom texts on ascii pages are translated to spaces
  (Bug 10266)
* Tue Sep 04 2001 - pblahos@suse.cz
- cups is detected by presence of cups-client package, not by
  /etc/init.d/cups
* Thu Aug 30 2001 - pblahos@suse.cz
- libycp-devel added to needforbuild. Needed by testsuite.
* Mon Aug 27 2001 - pblahos@suse.cz
- Starts hotplug before probing printers.
* Fri Aug 17 2001 - pblahos@suse.cz
- when no print spooler is installed printer attempts to install
  lprng
- fileexist replaced by SCR::Read(.target.size)!=-1
* Mon Aug 13 2001 - pblahos@suse.cz
- Changed tabs to spaces.
- Changed UI (` to UI::, SCR (` to SCR::
- Calls to usbmgr removed.
* Thu Aug 09 2001 - pblahos@suse.cz
- Test cases fixed.
- Installs aps when installing LPD spooler.
- When switching spooler, lprold name is not designated as default.
  Spooler may be switched to "cups" or "any package"
* Thu Aug 02 2001 - pblahos@suse.cz
- Test cases fixed.
* Mon Jul 30 2001 - pblahos@suse.cz
- Sample command on postscript testpage always contains queue name
  (Bug 9510)
* Mon Jul 23 2001 - pblahos@suse.cz
- Works with new YaST2 libs.
* Tue Jun 12 2001 - pblahos@suse.cz
- Added index.html into documentation.
- #7265: New menuentry that skips autodetection.
- Creating and installing auto documentation.
- Function for ps testpage preparation moved here.
- Localization of ascii testpage is possible.
- detection supports format usb:/dev/usb/lp?vendor=04a9&prod_id=1052
  used in cups.
- added scripts for reading samba servers and printers
- detection routines moved here
- postscript testpage is resizable without need to explicitly specify size
* Mon May 14 2001 - pblahos@suse.cz
- #8160: cups-drivers* are uninstalled too if necessarry when
  switching between cups and lpd.
* Thu May 10 2001 - pblahos@suse.cz
- #8031: added frame to please-wait window when testing remote printer.
- Texts are defined in UI so they are translated (not in bugzilla).
* Mon May 07 2001 - pblahos@suse.cz
- #7037: Epson USB printers waking up fixed.
* Fri May 04 2001 - pblahos@suse.cz
- #7651: Now it is possible to choose existing fwd. queue when
  creating pre-filter queue.
- #7640: Whole error message from remote lpd is displayed when
  there is an unsuccessful test of remote lpd.
- #5944: Reports unrecognized USB Epson Styluses as Stylus Color
* Mon Apr 30 2001 - pblahos@suse.cz
- When installing cups package, selects cups-drivers too.
* Fri Apr 27 2001 - pblahos@suse.cz
- Code for parallel ports detection removed.
- Accepts .nodetection argument to skip autodetection of printers
  and parallel ports.
- Requires translation package.
* Tue Apr 24 2001 - pblahos@suse.cz
- testpage contains Hungarian iso-8859-2 characters.
* Fri Apr 20 2001 - pblahos@suse.cz
- #7041: postscript test page does not contain < and > characters.
- #7046: script test_device did not worked called from YaST2 because
  .target.bash* does not like '
- Parallel port detection functinality added.
* Thu Apr 19 2001 - pblahos@suse.cz
- Added testsuites.
- Added functions for waking up and testing USB Epsons.
* Tue Apr 17 2001 - pblahos@suse.cz
- Daemons are stopped before they are uninstalled.
- Implemented module summary.
- Launches module according to installed print spooler.
* Fri Apr 06 2001 - pblahos@suse.cz
- initial
